## ros-kinetic-swri-roscpp 2.14.2

=== debian/changelog ===
ros-kinetic-swri-roscpp (2.14.2-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 09 Sep 2020 00:00:00 -0000

ros-kinetic-swri-roscpp (2.14.1-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 18 Aug 2020 00:00:00 -0000

ros-kinetic-swri-roscpp (2.14.0-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 15 Jul 2020 00:00:00 -0000

ros-kinetic-swri-roscpp (2.13.7-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 26 Jun 2020 00:00:00 -0000

ros-kinetic-swri-roscpp (2.13.6-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 17 Jun 2020 00:00:00 -0000

ros-kinetic-swri-roscpp (2.13.5-1xenial) xenial; urgency=high

  * Fix more Boost::thread issues (#587 <https://github.com/swri-robotics/marti_common/issues/587>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 17 Jun 2020 00:00:00 -0000

ros-kinetic-swri-roscpp (2.13.4-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 16 Jun 2020 00:00:00 -0000

ros-kinetic-swri-roscpp (2.13.3-1xenial) xenial; urgency=high

  * Use setuptools instead of distutils
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 12 Jun 2020 00:00:00 -0000

ros-kinetic-swri-roscpp (2.13.2-1xenial) xenial; urgency=high

  * Support ROS Noetic (#581 <https://github.com/swri-robotics/marti_common/issues/581>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 10 Jun 2020 00:00:00 -0000

ros-kinetic-swri-roscpp (2.13.1-1xenial) xenial; urgency=high

  * Fix the directory argument and correctly call add_message_files to avoid weird extra installed files (#580 <https://github.com/swri-robotics/marti_common/issues/580>)
  * Contributors: Matthew Bries

 -- P. J. Reed <preed@swri.org>  Thu, 21 May 2020 00:00:00 -0000

ros-kinetic-swri-roscpp (2.13.0-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 13 May 2020 00:00:00 -0000

ros-kinetic-swri-roscpp (2.12.0-1xenial) xenial; urgency=high

  * Add Enum Support to DynamicParameters (#564 <https://github.com/swri-robotics/marti_common/issues/564>)
  * Use safe_execute_process to generate messages instead and prevent it from running every build (#563 <https://github.com/swri-robotics/marti_common/issues/563>)
  * Contributors: Matthew Bries

 -- P. J. Reed <preed@swri.org>  Wed, 25 Mar 2020 00:00:00 -0000

ros-kinetic-swri-roscpp (2.11.0-1xenial) xenial; urgency=high

  * Fix incorrect type for strings in dynamic params (#553 <https://github.com/pjreed/marti_common/issues/553>)
  * Contributors: jgassaway

 -- P. J. Reed <preed@swri.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-kinetic-swri-roscpp (2.10.0-1xenial) xenial; urgency=high

  * Prevent swri:Subscriber latency calculations if current time is zero (#548 <https://github.com/swri-robotics/marti_common/issues/548>)
  * Change way name is created for topic services (#541 <https://github.com/swri-robotics/marti_common/issues/541>)
  * Contributors: jgassaway, nick-alton

 -- P. J. Reed <preed@swri.org>  Wed, 04 Sep 2019 00:00:00 -0000

ros-kinetic-swri-roscpp (2.9.0-1xenial) xenial; urgency=high

  * Add callback for on change for dynamic parameters (#540 <https://github.com/swri-robotics/marti_common/issues/540>)
  * Add topic service unit tests (#538 <https://github.com/swri-robotics/marti_common/issues/538>)
  * Contributors: Matthew, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 23 May 2019 00:00:00 -0000

ros-kinetic-swri-roscpp (2.8.0-1xenial) xenial; urgency=high

  * Add dynamic parameters (#532 <https://github.com/swri-robotics/marti_common/issues/532>)
  * Contributors: Matthew

 -- P. J. Reed <preed@swri.org>  Wed, 06 Feb 2019 00:00:00 -0000

ros-kinetic-swri-roscpp (2.7.3-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Jan 2019 00:00:00 -0000

ros-kinetic-swri-roscpp (2.7.2-1xenial) xenial; urgency=high

  * Fix cmake macro for service_splitter.py (#535 <https://github.com/swri-robotics/marti_common/issues/535>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 20 Dec 2018 00:00:00 -0000

ros-kinetic-swri-roscpp (2.7.1-1xenial) xenial; urgency=high

  * Fix conditional causing exists to not work properly. (#533 <https://github.com/swri-robotics/marti_common/issues/533>)
  * Remove non ascii character to please python (#530 <https://github.com/swri-robotics/marti_common/issues/530>)
  * Contributors: Matthew

 -- P. J. Reed <preed@swri.org>  Fri, 14 Dec 2018 00:00:00 -0000

ros-kinetic-swri-roscpp (2.7.0-1xenial) xenial; urgency=high

  * Add topic based services and associated cmake utils (#523 <https://github.com/swri-robotics/marti_common/issues/523>)
    Provide utilities for implementing service type requests using messages in an almost transparent way.
  * Contributors: Matthew

 -- P. J. Reed <preed@swri.org>  Tue, 04 Dec 2018 00:00:00 -0000

ros-kinetic-swri-roscpp (2.6.0-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 03 Nov 2018 00:00:00 -0000

ros-kinetic-swri-roscpp (2.5.0-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 12 Oct 2018 00:00:00 -0000

ros-kinetic-swri-roscpp (2.4.0-1xenial) xenial; urgency=high

  * Update package maintainers (#520 <https://github.com/swri-robotics/marti_common/issues/520>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 00:00:00 -0000

ros-kinetic-swri-roscpp (2.3.0-1xenial) xenial; urgency=high

  * Only calculate statistics when messages arrive in order (#516 <https://github.com/swri-robotics/marti_common/issues/516>)
  * Contributors: David Anthony

 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 25 May 2018 00:00:00 -0000

ros-kinetic-swri-roscpp (2.2.1-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 11 May 2018 00:00:00 -0000

ros-kinetic-swri-roscpp (2.2.0-1xenial) xenial; urgency=high


