=== debian/control ===
Source: ros-kinetic-swri-roscpp
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgtest-dev, libyaml-cpp-dev, pkg-config, ros-kinetic-catkin, ros-kinetic-diagnostic-updater, ros-kinetic-dynamic-reconfigure, ros-kinetic-marti-common-msgs, ros-kinetic-message-generation, ros-kinetic-message-runtime, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-rosunit, ros-kinetic-std-msgs, ros-kinetic-std-srvs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-swri-roscpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libyaml-cpp-dev, ros-kinetic-diagnostic-updater, ros-kinetic-dynamic-reconfigure, ros-kinetic-marti-common-msgs, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-std-srvs
Description: swri_roscpp
